OpenVDB 13.0.0

Loading...
Searching...
No Matches
TreeConverter< TreeType > Struct Template Reference

Similiar to ValueConverter, but allows for tree configuration conversion to a PointDataTree. ValueConverter<PointDataIndex32> cannot be used as a PointDataLeafNode is not a specialization of LeafNode. More...

`#include <openvdb/points/PointDataGrid.h>`

## Public Types
using | RootNodeT = typename TreeType::RootNodeType
using | NodeChainT = typename internal::PointDataNodeChain<RootNodeT, RootNodeT::LEVEL>::Type
using | Type = tree::Tree<typename NodeChainT::Back>

## Detailed Description

template<typename TreeType>
struct openvdb::v13_0::points::TreeConverter< TreeType >

Similiar to ValueConverter, but allows for tree configuration conversion to a PointDataTree. ValueConverter<PointDataIndex32> cannot be used as a PointDataLeafNode is not a specialization of LeafNode.

## Member Typedef Documentation

## ◆ NodeChainT

template<typename TreeType>

using NodeChainT = typename internal::PointDataNodeChain<RootNodeT, RootNodeT::LEVEL>::Type

## ◆ RootNodeT

template<typename TreeType>

using RootNodeT = typename TreeType::RootNodeType

## ◆ Type

template<typename TreeType>

using Type = tree::Tree<typename NodeChainT::Back>